# Must and Should Together

Every result is an .io domain (must) whose name servers are at Cloudflare or at Google (should: at least one of the two).

Source: https://docs.deepinfo.com/reference/discovery/domain-search/examples/must-and-should-together/

Last updated: 2026-09-26

---
`POST https://api.deepinfo.com/v1/discovery/domain-search?page_size=25`

Example 3 of 5 in **Combinations › Must, Should and Must Not** · [Domain Search Examples](/reference/discovery/domain-search/examples/) · endpoint: [Domain Search](/reference/discovery/domain-search/)

Tags: `field` `domain.extension` · `field` `dns.ns.name_servers` · `operator` `eq` · `operator` `wildcard` · `logic` `must` · `logic` `should`

Every result is an `.io` domain (`must`) whose name servers are at Cloudflare or at Google (`should`: at least one of the two).

## Request

| Parameter | In | Value |
|---|---|---|
| `page_size` | query | `25` |
| `filters.must[0].name` | body | `domain.extension` |
| `filters.must[0].type` | body | `eq` |
| `filters.must[0].value` | body | `io` |
| `filters.should[0].name` | body | `dns.ns.name_servers` |
| `filters.should[0].type` | body | `wildcard` |
| `filters.should[0].value` | body | `*.ns.cloudflare.com` |
| `filters.should[1].name` | body | `dns.ns.name_servers` |
| `filters.should[1].type` | body | `eq` |
| `filters.should[1].value` | body | `ns1.google.com` |

```bash
curl -X POST 'https://api.deepinfo.com/v1/discovery/domain-search?page_size=25' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "filters": {
    "must": [
      {
        "name": "domain.extension",
        "type": "eq",
        "value": "io"
      }
    ],
    "should": [
      {
        "name": "dns.ns.name_servers",
        "type": "wildcard",
        "value": "*.ns.cloudflare.com"
      },
      {
        "name": "dns.ns.name_servers",
        "type": "eq",
        "value": "ns1.google.com"
      }
    ]
  }
}'
```

## Response

### 200 · OK

> Shortened for this page: results: 3 of 25 shown

`Content-Type: application/json` · `ratelimit-limit: 1000` · `ratelimit-remaining: 999` · `ratelimit-reset: 1` · `x-ratelimit-limit-hour: 100000` · `x-ratelimit-limit-minute: 10000` · `x-ratelimit-limit-second: 1000` · `x-ratelimit-remaining-hour: 99639` · `x-ratelimit-remaining-minute: 9986` · `x-ratelimit-remaining-second: 999` · `deepinfo-request-id: 5f0c6a8e-1b2d-4c3e-9f4a-7b8c9d0e1f2a`

```json
{
  "page": 1,
  "page_size": 25,
  "result_count": 391717,
  "results": [
    {
      "punycode": "material.io",
      "unicode": "material.io",
      "is_idn": false,
      "subdomain": null,
      "subdomain_last": null,
      "subdomain_root": null,
      "name": {
        "punycode": "material",
        "unicode": "material",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 8,
        "lang": "en",
        "keywords": [
          "material"
        ],
        "keyword_count": 1,
        "latinized": [],
        "contains_confusable": false
      },
      "domain": {
        "punycode": "material.io",
        "unicode": "material.io",
        "is_idn": false,
        "name": {
          "punycode": "material",
          "unicode": "material",
          "is_idn": false,
          "contains_letter": true,
          "contains_number": false,
          "contains_hyphen": false,
          "length": 8,
          "lang": "en",
          "keywords": [
            "material"
          ],
          "keyword_count": 1
        },
        "extension": {
          "punycode": "io",
          "unicode": "io",
          "is_idn": false
        },
        "extension_root": {
          "punycode": "io",
          "unicode": "io",
          "is_idn": false
        },
        "extension_sub": null,
        "extension_type": 2,
        "reserved": null,
        "premium": null,
        "registered": true,
        "whois": {
          "create_date": "2013-10-04T00:00:43Z",
          "update_date": "2026-09-07T10:36:58Z",
          "expiry_date": "2027-10-04T00:00:43Z",
          "registrar": "markmonitor inc.",
          "registrant": {
            "name": "redacted",
            "organization": "google llc",
            "street": "redacted",
            "city": "redacted",
            "state": "ca",
            "postal_code": "redacted",
            "country": "us",
            "phone": "redacted",
            "email": "redacted"
          },
          "name_servers": [
            "ns1.google.com",
            "ns2.google.com",
            "ns3.google.com",
            "ns4.google.com"
          ],
          "domain_status": [
            "clientdeleteprohibited",
            "clienttransferprohibited",
            "clientupdateprohibited"
          ],
          "whois_server": "whois.markmonitor.com",
          "check_date": "2026-09-18T19:26:53Z"
        },
        "whois_normalized": {
          "registrant": {
            "organization": "googlellc",
            "phone": null,
            "email": null,
            "email_fqdn_apex": null,
            "email_domain_apex": null
          }
        },
        "whois_last_check_date": "2026-09-18T19:26:53Z",
        "whois_create_date_historical": [
          "2013-10-04T00:00:43Z"
        ],
        "whois_last_change_date": "2026-09-11T07:02:18Z",
        "whois_registrant_email_historical": [
          "please query the rdds service of the registrar of record identified in this output for information on how to contact the registrant, admin, or tech contact of the queried domain name.",
          "redacted"
        ],
        "whois_privacy_enabled": true,
        "dns": {
          "a": {
            "update_date": "2026-09-17T22:16:56Z",
            "ip_addresses": [
              "216.239.32.21",
              "216.239.34.21",
              "216.239.36.21",
              "216.239.38.21"
            ]
          }
        },
        "dns_last_change_date": "2026-09-17T22:17:13Z",
        "ip_history": [
          "216.239.32.21",
          "216.239.34.21",
          "216.239.36.21",
          "216.239.38.21"
        ],
        "ssl": {
          "validity": {
            "start_date": "2026-08-04T04:18:47Z",
            "end_date": "2026-11-02T05:08:56Z"
          },
          "serial_number": "225998977774664391145072521419459969024",
          "check_date": "2026-09-08T15:57:21Z"
        },
        "ssl_last_change_date": "2026-09-08T15:57:53Z"
      },
      "type": 1,
      "subdomain_level_count": 0,
      "dns": {
        "a": {
          "update_date": "2026-09-17T22:16:56Z",
          "ip_addresses": [
            "216.239.32.21",
            "216.239.34.21",
            "216.239.36.21",
            "216.239.38.21"
          ]
        },
        "aaaa": {
          "update_date": "2026-09-17T22:16:56Z",
          "ip_addresses": [
            "2001:4860:4802:32::15",
            "2001:4860:4802:34::15",
            "2001:4860:4802:36::15",
            "2001:4860:4802:38::15"
          ]
        },
        "ns": {
          "update_date": "2026-09-17T22:16:56Z",
          "name_servers": [
            "ns1.google.com",
            "ns2.google.com",
            "ns3.google.com",
            "ns4.google.com"
          ]
        },
        "mx": {
          "update_date": "2026-09-17T22:16:56Z",
          "mail_servers": [
            "smtp.google.com"
          ]
        },
        "soa": {
          "update_date": "2026-09-17T22:16:56Z",
          "mnames": [
            "ns1.google.com"
          ],
          "rnames": [
            "dns-admin.google.com"
          ],
          "rname_emails": [
            "user@google.com"
          ]
        },
        "txt": {
          "update_date": "2026-09-17T22:16:56Z",
          "values": []
        },
        "cname": {
          "update_date": "2026-09-17T22:16:56Z",
          "values": []
        },
        "others": []
      },
      "dns_last_change_date": "2026-09-17T22:17:12Z",
      "ip_history": [
        "216.239.32.21",
        "216.239.34.21",
        "216.239.36.21",
        "216.239.38.21"
      ],
      "ssl": {
        "tags": [
          "dla"
        ],
        "fqdns": [
          "material.io"
        ],
        "version": 3,
        "serial_number": "225998977774664391145072521419459969024",
        "fingerprint": {
          "sha256": "c946d28a04e65e854603794553f555aacaf72f932f68f70cd5da24532ac1ac46",
          "sha1": "20727d1fec3c5d245da99013587be4d878237e19",
          "md5": "bbbc04b8ce522c457c9eba5e29777803"
        },
        "validity": {
          "start_date": "2026-08-04T04:18:47Z",
          "end_date": "2026-11-02T05:08:56Z",
          "length": 7779009
        },
        "signature": {
          "is_self_signed": false,
          "is_valid": true,
          "value": "ih7OgtazGhEUnhWtdVsUV9oggkicCc+4IZ4q/NVkZO69HvcuoX6Kdh2DkyeEAZkFqvOMsGHK0zOBa5pZu5VsUM2cGiDe16XkwpvMvGSPR8Wrb0koc8yFF5Ci9Ceu6p/fGRNWyJ1DbsUZWV7pnKeePGszlIhgJ09G3la0mLuF/4KwBUHp0Q8usTcCUVRpwjXEEWTDwnrt9h0L3oWK1GljmBdIvAD2O0l9sS7YbreVlF9Nrg5naTFVHRjKLpeKk2ulFS/wnKB/Ad+RQHKPNC4E214rub9yMK85dJINdO5+Jhf5pcQmsvbOBKwPYURxaeQxyVM3+pRpvkqf/izP6sR9xA==",
          "algorithm": {
            "oid": "1.2.840.113549.1.1.11",
            "name": "sha256"
          }
        },
        "issuer_dn": "CN=WR3,O=Google Trust Services,C=US",
        "issuer": {
          "common_name": "WR3",
          "country": "US",
          "state": null,
          "locality": null,
          "organization": "Google Trust Services",
          "organizational_unit": null
        },
        "subject_dn": "CN=material.io",
        "subject": {
          "common_name": "material.io",
          "country": null,
          "state": null,
          "locality": null,
          "organization": null,
          "organizational_unit": null
        },
        "extensions": {
          "authority_key_id": "x4H1/Y6I2QA8TWOiUDEkoM4j/iM=",
          "basic_constraints": {
            "is_ca": false
          },
          "certificate_policies": [
            "2.23.140.1.2.1"
          ],
          "extended_key_usage": {
            "client_auth": null,
            "server_auth": true
          },
          "key_usage": {
            "digital_signature": true,
            "content_commitment": false,
            "key_agreement": false,
            "data_encipherment": false,
            "key_encipherment": true,
            "key_cert_sign": false,
            "crl_sign": false
          },
          "signed_certificate_timestamps": [
            "2026-08-04T05:18:47Z"
          ],
          "subject_alt_name": {
            "dns_names": [
              "material.io"
            ]
          },
          "subject_key_id": "absRW0YH5jXgmoaeGFzHMOg48Io="
        },
        "check_date": "2026-09-08T15:57:21Z"
      },
      "ssl_last_change_date": "2026-09-08T15:57:53Z",
      "webdata": {
        "connection_status": "success",
        "html": {
          "source_code_hash": "521ef88aedbe1ede9bcdd340e69ff69729907b6568da4825d6bc48417bb473f4"
        },
        "http": {
          "status_code_first": 301,
          "status_code_last": 200,
          "redirection_history": [
            {
              "url": "http://material.io/",
              "status_code": 301
            },
            {
              "url": "https://material.io/",
              "status_code": 301
            },
            {
              "url": "https://m3.material.io/",
              "status_code": 200
            }
          ],
          "external_redirection": false,
          "final_url": "https://m3.material.io/",
          "final_fqdn": "m3.material.io",
          "final_domain": "material.io",
          "headers": {
            "others": [
              {
                "name": "vary",
                "value": "Accept-Encoding"
              },
              {
                "name": "etag",
                "value": "W/\"82e2ada8b8b07a7cc56e050503c569e6\""
              },
              {
                "name": "pragma",
                "value": "no-cache"
              },
              {
                "name": "expires",
                "value": "0"
              },
              {
                "name": "x_cloud_trace_context",
                "value": "9f2d20c452d28f3c87b3d9988a517b2c"
              },
              {
                "name": "date",
                "value": "Thu, 17 Sep 2026 19:27:21 GMT"
              },
              {
                "name": "transfer_encoding",
                "value": "chunked"
              }
            ],
            "access_control_allow_headers": null,
            "access_control_allow_methods": null,
            "access_control_allow_origin": null,
            "cache_control": "no-cache, no-store, must-revalidate",
            "clear_site_data": null,
            "content_encoding": "gzip",
            "content_security_policy": "feedback-pa.clients6.google.com scone-pa.clients6.google.com",
            "content_type": "text/html; charset=utf-8",
            "cross_origin_embedder_policy": null,
            "cross_origin_opener_policy": null,
            "cross_origin_resource_policy": null,
            "expect_ct": null,
            "feature_policy": null,
            "last_modified": "Tue, 01 Jan 1980 00:00:01 GMT",
            "permission_policy": null,
            "referrer_policy": null,
            "server": "Google Frontend",
            "set_cookie": null,
            "strict_transport_security": null,
            "x_content_type_options": null,
            "x_download_options": null,
            "x_frame_options": null,
            "x_permitted_cross_domain_policies": null,
            "x_powered_by": null,
            "x_xss_protection": null
          },
          "cookies": []
        }
      }
    },
    {
      "punycode": "gallery.io",
      "unicode": "gallery.io",
      "is_idn": false,
      "subdomain": null,
      "subdomain_last": null,
      "subdomain_root": null,
      "name": {
        "punycode": "gallery",
        "unicode": "gallery",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 7,
        "lang": "en",
        "keywords": [
          "gallery"
        ],
        "keyword_count": 1,
        "latinized": [],
        "contains_confusable": false
      },
      "domain": {
        "punycode": "gallery.io",
        "unicode": "gallery.io",
        "is_idn": false,
        "name": {
          "punycode": "gallery",
          "unicode": "gallery",
          "is_idn": false,
          "contains_letter": true,
          "contains_number": false,
          "contains_hyphen": false,
          "length": 7,
          "lang": "en",
          "keywords": [
            "gallery"
          ],
          "keyword_count": 1
        },
        "extension": {
          "punycode": "io",
          "unicode": "io",
          "is_idn": false
        },
        "extension_root": {
          "punycode": "io",
          "unicode": "io",
          "is_idn": false
        },
        "extension_sub": null,
        "extension_type": 2,
        "reserved": null,
        "premium": null,
        "registered": true,
        "whois": {
          "create_date": "2011-01-21T21:42:39Z",
          "update_date": "2026-08-12T12:01:22Z",
          "expiry_date": "2027-01-21T21:42:39Z",
          "registrar": "markmonitor inc.",
          "registrant": {
            "name": "redacted",
            "organization": "google llc",
            "street": "redacted",
            "city": "redacted",
            "state": "ca",
            "postal_code": "redacted",
            "country": "us",
            "phone": "redacted",
            "email": "redacted"
          },
          "name_servers": [
            "ns1.google.com",
            "ns2.google.com",
            "ns3.google.com",
            "ns4.google.com"
          ],
          "domain_status": [
            "clientdeleteprohibited",
            "clienttransferprohibited",
            "clientupdateprohibited"
          ],
          "whois_server": "whois.markmonitor.com",
          "check_date": "2026-09-18T19:17:58Z"
        },
        "whois_normalized": {
          "registrant": {
            "organization": "googlellc",
            "phone": null,
            "email": null,
            "email_fqdn_apex": null,
            "email_domain_apex": null
          }
        },
        "whois_last_check_date": "2026-09-18T19:29:57Z",
        "whois_create_date_historical": [
          "2011-01-21T21:42:39Z"
        ],
        "whois_last_change_date": "2026-09-11T07:04:29Z",
        "whois_registrant_email_historical": [
          "please query the rdds service of the registrar of record identified in this output for information on how to contact the registrant, admin, or tech contact of the queried domain name.",
          "redacted"
        ],
        "whois_privacy_enabled": true,
        "dns": {
          "a": {
            "update_date": "2026-09-10T13:41:55Z",
            "ip_addresses": [
              "216.239.32.21",
              "216.239.34.21",
              "216.239.36.21",
              "216.239.38.21"
            ]
          }
        },
        "dns_last_change_date": "2026-09-10T13:45:40Z",
        "ip_history": [
          "216.239.32.21",
          "216.239.34.21",
          "216.239.36.21",
          "216.239.38.21"
        ],
        "ssl": {
          "validity": {
            "start_date": "2021-09-28T11:31:48Z",
            "end_date": "2021-12-27T11:31:47Z"
          },
          "serial_number": "312216069533448575063207534601041803504",
          "check_date": "2021-10-02T08:47:06Z"
        },
        "ssl_last_change_date": "2026-07-25T21:50:53Z"
      },
      "type": 1,
      "subdomain_level_count": 0,
      "dns": {
        "a": {
          "update_date": "2026-09-10T13:41:55Z",
          "ip_addresses": [
            "216.239.32.21",
            "216.239.34.21",
            "216.239.36.21",
            "216.239.38.21"
          ]
        },
        "aaaa": {
          "update_date": "2026-09-10T13:41:55Z",
          "ip_addresses": [
            "2001:4860:4802:32::15",
            "2001:4860:4802:34::15",
            "2001:4860:4802:36::15",
            "2001:4860:4802:38::15"
          ]
        },
        "ns": {
          "update_date": "2026-09-10T13:41:55Z",
          "name_servers": [
            "ns1.google.com",
            "ns2.google.com",
            "ns3.google.com",
            "ns4.google.com"
          ]
        },
        "mx": {
          "update_date": "2026-09-10T13:41:55Z",
          "mail_servers": [
            "smtp.google.com"
          ]
        },
        "soa": {
          "update_date": "2026-09-10T13:41:55Z",
          "mnames": [
            "ns1.google.com"
          ],
          "rnames": [
            "dns-admin.google.com"
          ],
          "rname_emails": [
            "user@google.com"
          ]
        },
        "txt": {
          "update_date": "2026-09-10T13:41:55Z",
          "values": []
        },
        "cname": {
          "update_date": "2026-09-10T13:41:55Z",
          "values": []
        },
        "others": []
      },
      "dns_last_change_date": "2026-09-10T13:45:38Z",
      "ip_history": [
        "216.239.32.21",
        "216.239.34.21",
        "216.239.36.21",
        "216.239.38.21"
      ],
      "ssl": {
        "tags": [],
        "fqdns": [
          "gallery.io"
        ],
        "version": 3,
        "serial_number": "312216069533448575063207534601041803504",
        "fingerprint": {
          "sha256": "ef530b864d2aa2cee3ff5cf0beca6aaa582bde935ca0d397f840e31ce972ffce",
          "sha1": "45d5a1e6d97c7eb118efabec103db9e595d6b760",
          "md5": "0bc9fc8cf2c1e89d5c7d29c1ea16def3"
        },
        "validity": {
          "start_date": "2021-09-28T11:31:48Z",
          "end_date": "2021-12-27T11:31:47Z",
          "length": 7775999
        },
        "signature": {
          "is_self_signed": false,
          "is_valid": true,
          "value": "byYSjGF4htjhP1hDz0mbaK8PACXCaovr/Jea3BzGq6zZ8zkg1L2X0HkpSPmn9vUQkUKqnkpOJeqJx1SpDgvqFGuFUpZ0sjAI3oGlwBMa4421SPvctA045Du2bErggzv3N8YEBOT+zWxZ8b5OPckO2eaqSIf6CoVeZNg7auufAR3SFWqODGSCm66Gnfe1fTrQlZbOPhKrd8vBxNyEkNzHYGBWX72zjhSA3EVxMysgxHbQPDW8R9/OVNPOVQnfC8RcJZDJMTiLADeJKcJ4I8cF2/RagtVPZoJSe6S/yJ28eKxrSbVYvqHup7QbJHRzdrnuE9Lgp026+xO/fKiGew/hSw==",
          "algorithm": {
            "oid": "1.2.840.113549.1.1.11",
            "name": "sha256"
          }
        },
        "issuer_dn": "CN=GTS CA 1D4,O=Google Trust Services LLC,C=US",
        "issuer": {
          "common_name": "GTS CA 1D4",
          "country": "US",
          "state": null,
          "locality": null,
          "organization": "Google Trust Services LLC",
          "organizational_unit": null
        },
        "subject_dn": "CN=gallery.io",
        "subject": {
          "common_name": "gallery.io",
          "country": null,
          "state": null,
          "locality": null,
          "organization": null,
          "organizational_unit": null
        },
        "extensions": {
          "authority_key_id": "JeIYDrJXkZQq5dRdhpCD3lOzuJI=",
          "basic_constraints": {
            "is_ca": false
          },
          "certificate_policies": [
            "2.23.140.1.2.1",
            "1.3.6.1.4.1.11129.2.5.3"
          ],
          "extended_key_usage": {
            "client_auth": null,
            "server_auth": true
          },
          "key_usage": {
            "digital_signature": true,
            "content_commitment": false,
            "key_agreement": false,
            "data_encipherment": false,
            "key_encipherment": true,
            "key_cert_sign": false,
            "crl_sign": false
          },
          "signed_certificate_timestamps": [
            "2021-09-28T12:39:34Z"
          ],
          "subject_alt_name": {
            "dns_names": [
              "gallery.io"
            ]
          },
          "subject_key_id": "QjkEy4wRyCGF7F2HeRsF2IroNS0="
        },
        "check_date": "2021-10-02T08:47:06Z"
      },
      "ssl_last_change_date": "2026-07-25T21:50:53Z",
      "webdata": {
        "connection_status": "success",
        "html": {
          "source_code_hash": "23926e9185d8d43c02807a838ffb373cc1977726094a4e46807c66ada9dd7660"
        },
        "http": {
          "status_code_first": 404,
          "status_code_last": 404,
          "redirection_history": [
            {
              "url": "http://gallery.io/",
              "status_code": 404
            }
          ],
          "external_redirection": null,
          "final_url": "http://gallery.io/",
          "final_fqdn": "gallery.io",
          "final_domain": "gallery.io",
          "headers": {
            "others": [
              {
                "name": "date",
                "value": "Tue, 25 Aug 2026 17:34:41 GMT"
              },
              {
                "name": "content_length",
                "value": "1561"
              }
            ],
            "access_control_allow_headers": null,
            "access_control_allow_methods": null,
            "access_control_allow_origin": null,
            "cache_control": null,
            "clear_site_data": null,
            "content_encoding": null,
            "content_security_policy": null,
            "content_type": "text/html; charset=UTF-8",
            "cross_origin_embedder_policy": null,
            "cross_origin_opener_policy": null,
            "cross_origin_resource_policy": null,
            "expect_ct": null,
            "feature_policy": null,
            "last_modified": null,
            "permission_policy": null,
            "referrer_policy": null,
            "server": "ghs",
            "set_cookie": null,
            "strict_transport_security": null,
            "x_content_type_options": null,
            "x_download_options": null,
            "x_frame_options": "SAMEORIGIN",
            "x_permitted_cross_domain_policies": null,
            "x_powered_by": null,
            "x_xss_protection": "0"
          },
          "cookies": []
        }
      }
    },
    {
      "punycode": "hlthiq.io",
      "unicode": "hlthiq.io",
      "is_idn": false,
      "subdomain": null,
      "subdomain_last": null,
      "subdomain_root": null,
      "name": {
        "punycode": "hlthiq",
        "unicode": "hlthiq",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 6,
        "lang": "en",
        "keywords": [
          "hlth",
          "iq"
        ],
        "keyword_count": 2,
        "latinized": [],
        "contains_confusable": false
      },
      "domain": {
        "punycode": "hlthiq.io",
        "unicode": "hlthiq.io",
        "is_idn": false,
        "name": {
          "punycode": "hlthiq",
          "unicode": "hlthiq",
          "is_idn": false,
          "contains_letter": true,
          "contains_number": false,
          "contains_hyphen": false,
          "length": 6,
          "lang": "en",
          "keywords": [
            "hlth",
            "iq"
          ],
          "keyword_count": 2
        },
        "extension": {
          "punycode": "io",
          "unicode": "io",
          "is_idn": false
        },
        "extension_root": {
          "punycode": "io",
          "unicode": "io",
          "is_idn": false
        },
        "extension_sub": null,
        "extension_type": 2,
        "reserved": null,
        "premium": null,
        "registered": true,
        "whois": {
          "create_date": "2023-11-06T23:54:24Z",
          "update_date": "2024-11-24T22:21:15Z",
          "expiry_date": "2026-11-06T23:54:24Z",
          "registrar": "godaddy.com, llc",
          "registrant": {
            "name": "redacted",
            "organization": "domains by proxy, llc",
            "street": "redacted",
            "city": "redacted",
            "state": "arizona",
            "postal_code": "redacted",
            "country": "us",
            "phone": "redacted",
            "email": "redacted"
          },
          "name_servers": [
            "dns1.p06.nsone.net",
            "dns2.p06.nsone.net",
            "dns3.p06.nsone.net",
            "dns4.p06.nsone.net",
            "ns01.squarespacedns.com",
            "ns02.squarespacedns.com",
            "ns03.squarespacedns.com",
            "ns04.squarespacedns.com"
          ],
          "domain_status": [
            "clientdeleteprohibited",
            "clientrenewprohibited",
            "clienttransferprohibited",
            "clientupdateprohibited"
          ],
          "whois_server": "whois.godaddy.com",
          "check_date": "2026-05-21T08:10:00Z"
        },
        "whois_normalized": {
          "registrant": {
            "organization": "domainsbyproxyllc",
            "phone": null,
            "email": null,
            "email_fqdn_apex": null,
            "email_domain_apex": null
          }
        },
        "whois_last_check_date": "2026-05-21T08:10:00Z",
        "whois_create_date_historical": [
          "2023-11-06T23:54:24Z"
        ],
        "whois_last_change_date": "2025-05-24T13:56:07Z",
        "whois_registrant_email_historical": [
          "please query the rdds service of the registrar of record identified in this output for information on how to contact the registrant, admin, or tech contact of the queried domain name.",
          "redacted"
        ],
        "whois_privacy_enabled": true,
        "dns": {
          "a": {
            "update_date": "2026-05-19T06:18:54Z",
            "ip_addresses": [
              "84.247.146.122"
            ]
          }
        },
        "dns_last_change_date": "2025-03-26T06:20:01Z",
        "ip_history": [
          "198.185.159.144",
          "198.185.159.145",
          "198.49.23.144",
          "198.49.23.145",
          "109.110.188.152",
          "84.247.146.122"
        ],
        "ssl": null,
        "ssl_last_change_date": "2024-09-08T17:32:17Z"
      },
      "type": 1,
      "subdomain_level_count": 0,
      "dns": {
        "a": {
          "update_date": "2026-05-19T06:18:54Z",
          "ip_addresses": [
            "84.247.146.122"
          ]
        },
        "aaaa": {
          "update_date": "2026-05-19T06:18:54Z",
          "ip_addresses": []
        },
        "ns": {
          "update_date": "2026-05-19T06:18:54Z",
          "name_servers": [
            "ns1.google.com",
            "ns2.google.com",
            "ns3.google.com",
            "ns4.google.com"
          ]
        },
        "mx": {
          "update_date": "2026-05-19T06:18:54Z",
          "mail_servers": []
        },
        "soa": {
          "update_date": "2026-05-19T06:18:54Z",
          "mnames": [
            "ns1.google.com"
          ],
          "rnames": [
            "dns-admin.google.com"
          ],
          "rname_emails": [
            "user@google.com"
          ]
        },
        "txt": {
          "update_date": "2026-05-19T06:18:54Z",
          "values": []
        },
        "cname": {
          "update_date": "2026-05-19T06:18:54Z",
          "values": []
        },
        "others": []
      },
      "dns_last_change_date": "2025-03-26T06:19:59Z",
      "ip_history": [
        "198.185.159.144",
        "198.185.159.145",
        "198.49.23.144",
        "198.49.23.145",
        "109.110.188.152",
        "84.247.146.122"
      ],
      "ssl": null,
      "ssl_last_change_date": "2024-09-08T17:32:16Z",
      "webdata": {
        "connection_status": "timeout",
        "html": null,
        "http": null
      }
    }
  ]
}
```

## Related Examples

- [Latest DNS Changes First](/reference/discovery/domain-search/examples/latest-dns-changes-first/)
- [All Three: New Shops Without WHOIS Privacy](/reference/discovery/domain-search/examples/all-three-new-shops-without-whois-privacy/)
- [Must Not: Registrable Domains Outside .com](/reference/discovery/domain-search/examples/must-not-registrable-domains-outside-com/)
- [Sort by Name (A to Z)](/reference/discovery/domain-search/examples/sort-by-name/)
- [Range: Name Length Between 3 and 4](/reference/discovery/domain-search/examples/range-name-length-between-3-and-4/)
- [Soonest to Expire First](/reference/discovery/domain-search/examples/soonest-to-expire-first/)
